#!/bin/sh

_GRAFANA_ADMIN_USER="${GRAFANA_ADMIN_USER:-admin}"
_GRAFANA_ADMIN_PASSWORD="${GRAFANA_ADMIN_PASSWORD:-admin}"
_GRAFANA_SECRET_KEY="${GRAFANA_SECRET_KEY:-changepassword}"
_GRAFANA_PUBLIC_HOSTNAME="${GRAFANA_PUBLIC_HOSTNAME:-localhost}"
_GRAFANA_ENABLE_GZIP=="${GRAFANA_ENABLE_GZIP:-true}"

echo "Cleaning old pid files"
find /var/run/ -name "*.pid" -exec rm -rf {} \;

echo "Updating grafana configuration"
GRAFANA_CONF_FILE="/opt/grafana/conf/custom.ini"
sed -i "s/{{GRAFANA_ADMIN_USER}}/${_GRAFANA_ADMIN_USER}/g" ${GRAFANA_CONF_FILE}
sed -i "s/{{GRAFANA_ADMIN_PASSWORD}}/${_GRAFANA_ADMIN_PASSWORD}/g" ${GRAFANA_CONF_FILE}
sed -i "s/{{GRAFANA_SECRET_KEY}}/${_GRAFANA_SECRET_KEY}/g" ${GRAFANA_CONF_FILE}
sed -i "s/{{GRAFANA_PUBLIC_HOSTNAME}}/${_GRAFANA_PUBLIC_HOSTNAME}/g" ${GRAFANA_CONF_FILE}
sed -i "s/{{GRAFANA_ENABLE_GZIP}}/${_GRAFANA_ENABLE_GZIP}/g" ${GRAFANA_CONF_FILE}

